Bug 177445 - Please consider upping NR_CPUS to 16 for x86_64
Please consider upping NR_CPUS to 16 for x86_64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2006-01-10 14:23 EST by Martin Knoblauch
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 16:10:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Knoblauch 2006-01-10 14:23:23 EST
Description of problem:

 On a 4 CPU, dual-core, HT-enabled EM64T system only 8 "CPUs" are recognized.
Please consider building the x86_64 kernels with NR_CPUS set to 16 or more.

Version-Release number of selected component (if applicable):

2.6.9.EÖ-22

How reproducible:

Always

Steps to Reproduce:
1. Boot system
2.
3.
  
Actual results:

 There should be 16 CPUs visible

Expected results:

 Only 8 CPUs are visible, dmesg shows that the limit of NR_CPUS=8 is exceeded.

Additional info:
Comment 1 Jason Baron 2006-01-11 07:59:58 EST
hi Martin,

We're adding a 'largesmp' kernel in U3 that will support 64 cpus for x86_64. You
can test that kernel out via the beta channel. 

thanks.

*** This bug has been marked as a duplicate of 163641 ***
Comment 2 Martin Knoblauch 2006-01-11 10:23:40 EST
Jason,

 thanks for the update. For some reason I did not find 163641. Apparently I did
not look hard enough :-) What will be the limit in the U3 kernel?

Martin
Comment 3 Jason Baron 2006-01-18 11:22:26 EST
64 cpus
Comment 5 Red Hat Bugzilla 2006-03-07 16:10:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.